<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class DeleteMessageForMeAction extends \Google\Protobuf\Internal\Message
{
    


    protected $deleteMedia = null;
    


    protected $messageTimestamp = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDeleteMedia()
    {
        return isset($this->deleteMedia) ? $this->deleteMedia : false;
    }

    public function hasDeleteMedia()
    {
        return isset($this->deleteMedia);
    }

    public function clearDeleteMedia()
    {
        unset($this->deleteMedia);
    }

    




    public function setDeleteMedia($var)
    {
        GPBUtil::checkBool($var);
        $this->deleteMedia = $var;

        return $this;
    }

    



    public function getMessageTimestamp()
    {
        return isset($this->messageTimestamp) ? $this->messageTimestamp : 0;
    }

    public function hasMessageTimestamp()
    {
        return isset($this->messageTimestamp);
    }

    public function clearMessageTimestamp()
    {
        unset($this->messageTimestamp);
    }

    




    public function setMessageTimestamp($var)
    {
        GPBUtil::checkInt64($var);
        $this->messageTimestamp = $var;

        return $this;
    }

}

